package com.widget.imagevideobanner;

import android.os.Bundle;
import android.os.Environment;
import android.support.v7.app.AppCompatActivity;

import com.widget.imagevideobanner.banner.ImageVideoBanner;
import com.widget.imagevideobanner.bean.BannerBean;
import com.widget.imagevideobanner.utils.IMMLeaks;

import java.util.ArrayList;
import java.util.List;

public class MainActivity extends AppCompatActivity {

    private List<BannerBean> list = new ArrayList<>();

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        ImageVideoBanner banner = findViewById(R.id.banner);
        setDatas();
        banner.addData(list);
        banner.startBanner();

        //修复inputManager引发的内存泄漏
        IMMLeaks.fixFocusedViewLeak(BaseApplication.getApplication());
    }

    private void setDatas() {
        for (int i = 0; i < 2; i++) {
            BannerBean listBean = new BannerBean();
            if (i == 0) {
                String uri = "android.resource://" + getPackageName() + "/" + R.raw.default_guide;
                listBean.setUrl(uri);
                listBean.setType(1);
                list.add(listBean);
            } else {
                String url = Environment.getExternalStorageDirectory() + "/vertical_test.mp4";
                listBean.setUrl(url);
                listBean.setType(1);
                list.add(listBean);
            }
        }
    }

}
